Bug 140757 - kdevelop startup crash after enabling embedded vim editor component
kdevelop startup crash after enabling embedded vim editor component
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdevelop (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-24 12:56 EST by rudolf kastl
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-08 10:31:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kdevelop crash backtrace 01/02/2005 (1.70 KB, text/plain)
2005-01-02 23:12 EST, Jeff Benedik
no flags Details

  None (edit)
Description rudolf kastl 2004-11-24 12:56:53 EST
Description of problem:


Version-Release number of selected component (if applicable):
fc3 stock

How reproducible:
always

Steps to Reproduce:
1. enable the embedded vim component in kdevelop
2. close kdevelop
3. start kdevelop and watch it explode
  
Actual results:
backtrace ;)

Expected results:
fine startup

Additional info:

Using host libthread_db library "/lib/tls/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -151157056 (LWP 5884)]
[KCrash handler]
#4  0x03f7afe5 in Vim::Document::activeWidget ()
   from /usr/lib/kde3/libvimpart.so.0
#5  0x00370967 in KParts::ReadOnlyPart::openURL ()
   from /usr/lib/libkparts.so.2
#6  0x0807ca26 in QValueList<QString>::detachInternal ()
#7  0x0807e394 in QValueList<QString>::detachInternal ()
#8  0x08073ee4 in QValueList<QString>::detachInternal ()
#9  0x0807b0c8 in QValueList<QString>::detachInternal ()
#10 0x04681da0 in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#11 0x02959291 in KRecentFilesAction::urlSelected ()
   from /usr/lib/libkdeui.so.4
#12 0x0295937a in KRecentFilesAction::itemSelected ()
   from /usr/lib/libkdeui.so.4
#13 0x02961940 in KRecentFilesAction::qt_invoke () from
/usr/lib/libkdeui.so.4
#14 0x04681da0 in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#15 0x0468204e in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#16 0x02958d8f in KSelectAction::activated () from /usr/lib/libkdeui.so.4
#17 0x02958e05 in KRecentFilesAction::slotActivated ()
   from /usr/lib/libkdeui.so.4
#18 0x029618ac in KRecentFilesAction::qt_invoke () from
/usr/lib/libkdeui.so.4
#19 0x04681da0 in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#20 0x049b2f9d in QSignal::signal () from
/usr/lib/qt-3.3/lib/libqt-mt.so.3
#21 0x0469aadd in QSignal::activate () from
/usr/lib/qt-3.3/lib/libqt-mt.so.3
#22 0x046a1b9b in QSingleShotTimer::event ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#23 0x04623249 in QApplication::internalNotify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#24 0x046233da in QApplication::notify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#25 0x00d18378 in KApplication::notify () from /usr/lib/libkdecore.so.4
#26 0x046175be in QEventLoop::activateTimers ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#27 0x045d35de in QEventLoop::processEvents ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#28 0x04638875 in QEventLoop::enterLoop ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#29 0x046387ce in QEventLoop::exec () from
/usr/lib/qt-3.3/lib/libqt-mt.so.3
#30 0x0462244b in QApplication::exec () from
/usr/lib/qt-3.3/lib/libqt-mt.so.3
#31 0x080a1131 in QValueListPrivate<QString>::at ()
#32 0x011c2e33 in __libc_start_main () from /lib/tls/libc.so.6
#33 0x080721b1 in ?? ()
Comment 1 rudolf kastl 2004-11-24 12:59:06 EST
to be more specific the bug occurs after opening an rpm spec file.
i have to try if it is problematic with other files too
Comment 2 rudolf kastl 2004-11-24 13:24:55 EST
problem also happens with opening any other files.
Comment 3 Jeff Benedik 2005-01-02 23:12:25 EST
Created attachment 109246 [details]
Kdevelop crash backtrace 01/02/2005
Comment 4 Jeff Benedik 2005-01-02 23:15:13 EST
I am also experiencing the same issue, I can open kdevelop but when I
open any file it will simply crash.  I attached a copy of the
backtrace if helpfull at all.
Comment 5 Ngo Than 2005-02-08 10:31:42 EST
It's a bug im kdeaddons vimpart. This part is broken and unmaintained
ATM. The author has suggested to remove this part in next release. 

Please use the default embedded advanced text editor instead embedded
vim component. You have first to rename the directory of the current
project, which is opened by starting kdevelop to avoid the crash.
Select Settings->Configure KDevelop->Editor->Embedded Advanced Text Editor

Note You need to log in before you can comment on or make changes to this bug.